Description

Hi there,

I try to build several HH composition variables in BHPS. The variables I found use different defnitions of "dependent child", either <16

or <18. I want to identify women living with own dependent children (natural, step, adopted incl.) <18. "nchild" contains the number of

dependent children up to 16. Is there a similar variable for dependent children up to 18?

Many thanks,

Sabine

History

#1 - 09/28/2016 11:12 AM - Gundi Knies

- Category set to Derived variables

- Status changed from New to In Progress

- Assignee set to Gundi Knies

- Target version set to X M

- % Done changed from 0 to 90

Hi Sabine,

you could use ndepchl_dv, e.g.,

https://www.understandingsociety.ac.uk/documentation/mainstage/dataset-documentation/wave/3/datafile/c_indall/variable/c_ndepchl_dv

It is based on depchl_dv, e.g.,

https://www.understandingsociety.ac.uk/documentation/mainstage/dataset-documentation/wave/3/datafile/c_indall/variable/c_depchl_dv

Tha variables are also included in the indresp data files.

HTH,

Gundi

#2 - 09/28/2016 11:55 AM - Sabine Hübgen

Thnaks Guni,

this variable is very helpful for working with understanding society! But I am working with both US and BHPS, so my question refers more to BHPS.

Any ideas?

Thank you very much!

Sabine

#3 - 09/28/2016 01:15 PM - Gundi Knies

- Target version changed from X M to BHPS

Hi Sabine,

I do not think the ndepchl_dv equivalent exists on the BHPS. But you can create it yourself by counting the number of depchl a person has. To do

this, you just keep the hid, pno and depchl (and an age-variable if you want different age brackets) from record indall, rename pno to apno, merge on

hid and apno to egoalt: now each apno's dependent child status is attached to every pno in their household. Then, by hid pno, count parent

relationships that also have depchl=1 (i.e. sum( parent of a apno who is dependent child)), store info. Keep one observation per hid pno only, and

merge on hid pno to indall. The non-matches are single person households and ndepchl will be 0 for them.

HTH,

Gundi

#4 - 09/28/2016 01:56 PM - Sabine Hübgen
https://www.understandingsociety.ac.uk/documentation/mainstage/dataset-documentation/wave/3/datafile/c_indall/variable/c_ndepchl_dv
https://www.understandingsociety.ac.uk/documentation/mainstage/dataset-documentation/wave/3/datafile/c_indall/variable/c_depchl_dv


Hi Gundi,

many thanks for the fast reply! Actually, I was going exactly this road, so your email is really reassuring and speeding-up my work!

Thanks again, this should work and solve my problem.

Cheers,

Sabine

#5 - 10/13/2016 02:51 PM - Victoria Nolan

- Status changed from In Progress to Closed

- % Done changed from 90 to 100

#6 - 02/19/2026 05:39 PM - Understanding Society  User Support Team

- Status changed from Closed to Resolved

- Private changed from Yes to No
